# Interface for submodule: Size
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: Size
from ._proxies import SizeProxy as _SizeProxy
class _SizeTemplateGetter():
    def __getitem__(self, parameters) -> _SizeTemplate:
        """Specify class type with:
            	[INSERT_TYPE_NAMES_HERE]
            :return: SizeTemplate
            """
        ...


class _SizeTemplate(_itkTemplate, metaclass=_SizeTemplateGetter):
    """Interface for instantiating itk::Size< INSERT_TYPE_NAMES_HERE >
        Supports type specification through dictionary access:
            'itk.Size[INSERT_TYPE_NAMES_HERE]()"""

    def __new__(cls, *args: Any) -> _SizeProxy:
        """Instantiate itk::Size< INSERT_TYPE_NAMES_HERE >"""
        ...

    def __call__(self, *args: Any) -> _SizeProxy:
        """Instantiate itk::Size< INSERT_TYPE_NAMES_HERE >"""
        ...

Size = _SizeTemplate

